@extends(Theme::viewName('layout'))
@section('title', trans('gallery.user_settings.title'))

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 mr-md-auto ml-md-auto">
                <div class="card">
                    <div class="card-header">
                        <ul class="nav nav-tabs card-header-tabs">
                            <li class="nav-item">
                                <a class="nav-link active" href="{{ url('/password/change') }}">@yield('title')</a>
                            </li>
                        </ul>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('saveUserSettings') }}" method="post">
                            {{ csrf_field() }}
                            {{ method_field('PUT') }}

                            <div class="form-group row{{ $errors->has('name') ? ' has-danger' : '' }}">
                                <label class="col-md-4 col-form-label text-md-right" for="user-name">@lang('forms.name_label')</label>

                                <div class="col-md-6">
                                    <input type="text" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" id="user-name" name="name" value="{{ old('name', $user->name) }}">

                                    @if ($errors->has('name'))
                                        <div class="invalid-feedback">
                                            <strong>{{ $errors->first('name') }}</strong>
                                        </div>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group row{{ $errors->has('email') ? ' has-danger' : '' }}">
                                <label class="col-md-4 col-form-label text-md-right" for="user-email">@lang('forms.email_label')</label>

                                <div class="col-md-6">
                                    <input type="text" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" id="user-email" name="email" value="{{ old('email', $user->email) }}">

                                    @if ($errors->has('email'))
                                        <div class="invalid-feedback">
                                            <strong>{{ $errors->first('email') }}</strong>
                                        </div>
                                    @endif
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6 offset-md-4">
                                    <a href="{{ route('auth.changePassword') }}" class="btn btn-link"><i class="fa fa-lock"></i>&nbsp;&nbsp;@lang('gallery.user_settings.change_password')</a>
                                </div>
                            </div>

                            <div class="form-check mt-4">
                                <input type="checkbox" class="form-check-input" id="is-admin" name="is_admin"@if (old('is_admin', $user->is_admin)) checked="checked"@endif>
                                <label class="form-check-label" for="is-admin">@lang('forms.admin_user_label')</label>
                            </div>

                            <div class="text-right" style="margin-top: 20px;">
                                <a href="{{ route('home') }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                <button type="submit" class="btn btn-success"><i class="fa fa-fw fa-check"></i> @lang('forms.save_action')</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection